Bug 990012 - jenkins build will fail when creating an app using reviewboard quickstart.
jenkins build will fail when creating an app using reviewboard quickstart.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 05:10 EDT by Johnny Liu
Modified: 2015-05-14 22:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-07-30 05:10:36 EDT
Description of problem:
Create app using reviewboard quickstart, then add jenkins client to it, git push to trigger jenkins build, but it failed.

If does not add jenkins-client, it works well.

Version-Release number of selected component (if applicable):
devenv_3580

How reproducible:
Always

Steps to Reproduce:
1. Create a jenkins app
2. Create a python-2.6 application and attach mysql to it:
   $ rhc app create -a reviewboard -t python-2.6
   $ rhc cartridge add -a reviewboard -c mysql-5.1
3. Add jenkins-client to this app
   $ rhc cartridge add -a reviewboard -c jenkins-client-1.4
4. Add this upstream reviewboard repo
   $ cd reviewboard
   $ git remote add upstream -m master git://github.com/openshift/reviewboard-example.git
   $ git pull -s recursive -X theirs upstream master
5. Then push the repo upstream
   $ git push



Actual results:
Jenkins build failed, get the following error log from jenkin build console:
<--snip-->
+ /usr/libexec/openshift/cartridges/jenkins/bin/git_ssh_wrapper.sh 51f766adb83f4c0a64000024@reviewboard-jialiu.dev.rhcloud.com 'gear stop --conditional'

Stopping gear...
Stopping PYTHON cart

Waiting for stop to finish

+ rsync --delete-after -az -e /usr/libexec/openshift/cartridges/jenkins/bin/git_ssh_wrapper.sh /var/lib/openshift/51f76833b83f4c0a64000025/app-root/runtime/repo/ '51f766adb83f4c0a64000024@reviewboard-jialiu.dev.rhcloud.com:~/app-root/repo/'

+ /usr/libexec/openshift/cartridges/jenkins/bin/git_ssh_wrapper.sh 51f766adb83f4c0a64000024@reviewboard-jialiu.dev.rhcloud.com 'gear remotedeploy'

Starting application reviewboard

/var/lib/openshift/51f766adb83f4c0a64000024/app-root/runtime/repo/.openshift/action_hooks/deploy: line 53: rb-site: command not found
An error occurred executing 'gear remotedeploy' (exit code: 127)
Error message: Failed to execute action hook 'deploy' for 51f766adb83f4c0a64000024 application reviewboard

For more details about the problem, try running the command again with the '--trace' option.
Build step 'Execute shell' marked build as failure

Archiving artifacts

Finished: FAILURE
<--snip-->

Expected results:
Jenkins build should succeed.

Additional info:
Comment 1 Alex Smith 2014-01-14 16:32:24 EST
Wasn't able to reproduce this on devenv_4222. The Jenkins build executed with no errors.

Request that QE re-test.
Comment 2 Johnny Liu 2014-01-14 23:05:30 EST
Verified this bug against devenv_4223, and PASS.
reviewbaod + jenkins build is passed successfully.

Note You need to log in before you can comment on or make changes to this bug.